#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdcb764ad, "memset" },
	{ 0x145e42b5, "v4l2_event_queue" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x92997ed8, "_printk" },
	{ 0x999e8297, "vfree" },
	{ 0x41adbdb4, "device_remove_file" },
	{ 0x37a0cba, "kfree" },
	{ 0xb75f8e53, "video_unregister_device" },
	{ 0x91c8e7d3, "v4l2_device_unregister" },
	{ 0xa32f7879, "v4l2_ctrl_handler_free" },
	{ 0x1ef92d10, "idr_find" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x4829a47e, "memcpy" },
	{ 0xcc501597, "v4l2_fill_pixfmt" },
	{ 0x6e9acc41, "v4l2_fill_pixfmt_mp" },
	{ 0x2df50b0, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x51e3dbe2, "_raw_spin_lock_bh" },
	{ 0xb3ac7559, "_raw_spin_unlock_bh" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x9f1bcc12, "v4l2_event_subscribe" },
	{ 0xbd19ecb7, "v4l2_ctrl_subscribe_event" },
	{ 0xde7020e6, "idr_for_each" },
	{ 0xe5c10dd9, "idr_destroy" },
	{ 0x1aa0bbd3, "misc_deregister" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x4117c577, "kmalloc_caches" },
	{ 0x56de6b11, "video_device_release" },
	{ 0x9efe0e9e, "__kmalloc_cache_noprof" },
	{ 0x117cd626, "idr_alloc" },
	{ 0x86c20a9d, "v4l2_device_register" },
	{ 0x40ee63ea, "video_device_alloc" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7c9868a6, "v4l2_ctrl_handler_init_class" },
	{ 0x9c300abc, "idr_remove" },
	{ 0x867549e8, "v4l2_ctrl_new_custom" },
	{ 0x8ae27e1a, "v4l2_ctrl_handler_setup" },
	{ 0x2172e91e, "__init_waitqueue_head" },
	{ 0xed8ff4b1, "__video_register_device" },
	{ 0xaae5137b, "device_create_file" },
	{ 0xe0469b26, "_dev_err" },
	{ 0x399412f5, "misc_register" },
	{ 0xe651d548, "mutex_lock_killable" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xa5012ba4, "_raw_spin_lock" },
	{ 0xebf77b80, "__wake_up" },
	{ 0xaeda33d8, "video_devdata" },
	{ 0x800473f, "__cond_resched" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1000e51, "schedule" },
	{ 0xaef82501, "prepare_to_wait_event" },
	{ 0x2d5d474f, "finish_wait" },
	{ 0x8dc4d310, "v4l2_fh_del" },
	{ 0xf90dc736, "v4l2_fh_exit" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x35ff98bf, "v4l2_format_info" },
	{ 0xbf61477b, "v4l2_fh_init" },
	{ 0x90a8e7a9, "v4l2_fh_add" },
	{ 0xda519d77, "vmalloc_to_page" },
	{ 0x34b8d63d, "vm_insert_page" },
	{ 0xd4b7dd7e, "v4l2_event_pending" },
	{ 0x17cfe349, "___ratelimit" },
	{ 0xd1755009, "_dev_warn" },
	{ 0x7332ad0c, "video_ioctl2" },
	{ 0x4bc810a9, "v4l2_event_unsubscribe" },
	{ 0xc436b0e9, "noop_llseek" },
	{ 0xcaa8b352, "nonseekable_open" },
	{ 0x40c93c94, "param_ops_bool" },
	{ 0x2beefa8c, "param_ops_charp" },
	{ 0x19c2a9fb, "param_ops_int" },
	{ 0x561d89dd, "param_array_ops" },
	{ 0xcff65a16, "module_layout" },
};

MODULE_INFO(depends, "videodev");


MODULE_INFO(srcversion, "E30E8FDD4885089C0FB5B2A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
